<!DOCTYPE html>
<html lang="en">
<head>
     <meta charset="UTF-8">
     <meta http-equiv="X-UA-Compatible" content="IE=edge">
     <meta name="viewport" content="width=device-width, initial-scale=1.0">
     <title>Forgot Password</title>

     <!-- Nhúng thư viện bootstrap 4-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
</head>
<body>
     <div class="container">
          <div class="row">
               <div class="col-sm-6 jumbotron mx-auto text-center">
                    <div class="form-group">
                         <h2 class="mx-1">Forgot Your Password?</h2>
                    </div>
                    <div class="form-group">
                         <p class="hint-text">Enter your email address and we will send you instructions to reset your password</p>
                    </div>
                    <div class="form-group text-left">
                         <label for="email">Email address</label>
                         <input type="email" class="form-control" id="email" placeholder="Enter email...">
                    </div>
                    <div class="form-group">
                         <button class="form-control btn btn-primary" id="btn-continue">Continue</button>
                    </div>
                    <div class="form-group">
                         <a href="#">Back to My App</a>
                    </div>
               </div>
          </div>
     </div>
     
</body>
<script>
     "use strict"
     $(document).ready(function(){
      /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

      /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
          $("#btn-continue").on("click", onBtnContinueClick);
      /** * REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
          //hàm xử lý khi nhấn nút continue
          function onBtnContinueClick(){
               var vEmailObj = {
                    emailAddress: ""
               }
               //bước 1: thu thập dữ liêu
                    getData(vEmailObj);  
               //bước 2: kiểm tra dữ liẹu 
                    var vCheck = validateData(vEmailObj);
                    if(vCheck){
                          //bước 3: hiển thị dữ liệu 
                          showData(vEmailObj);
                    }
              

          }
      /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

      //hàm thu thập dữ liệu 
      function getData(paramEmail){
          paramEmail.emailAddress = $("#email").val().trim();
      }

      //hàm kiểm tra dữ liêuj 
      function validateData(paramEmail){
          if(paramEmail.emailAddress == ""){
               alert("Vui lòng nhập Email!!!");
               return false;
          }
          if(!validateEmail(paramEmail.emailAddress)){
               alert("Email không hợp lệ!!!");
               return false;
          }
          return true;
      }

      //hàm kiểm tra email
      function validateEmail(email){
          var emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
          return emailRegex.test(email);
      }

      //hàm hiển thị dữ liệu 
      function showData(paramEmail){
          console.log("Email Address: " + paramEmail.emailAddress);
      }
     });
</script>
</html>